summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2010-08-22 12:13:21 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-23 00:53:39 -0500
commit9807cfb56c14b6057bfcf6cc17f7d64765278ca7 (patch)
tree730e3065b17fbfd2fd04c6e25defede12c499213 /games
parentdda1bb4089b2291e6ad48b004d1181d10ca35649 (diff)
downloadslackbuilds-9807cfb56c14b6057bfcf6cc17f7d64765278ca7.tar.gz
slackbuilds-9807cfb56c14b6057bfcf6cc17f7d64765278ca7.tar.xz
games/warsow: Added (A Fast Paced First Person Shooter Game)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/warsow/README15
-rw-r--r--games/warsow/doinst.sh4
-rw-r--r--games/warsow/slack-desc19
-rw-r--r--games/warsow/warsow.SlackBuild93
-rw-r--r--games/warsow/warsow.desktop9
-rw-r--r--games/warsow/warsow.info10
-rw-r--r--games/warsow/warsow.pngbin0 -> 3301 bytes
7 files changed, 150 insertions, 0 deletions
diff --git a/games/warsow/README b/games/warsow/README
new file mode 100644
index 0000000000..7b2c05e6fd
--- /dev/null
+++ b/games/warsow/README
@@ -0,0 +1,15 @@
+Warsow - A Fast Paced First Person Shooter Game
+
+Set in a futuristic cartoon-like world where rocketlauncher-wielding
+pigs and lasergun-carrying cyberpunks roam the streets, Warsow is a
+completely free fast-paced first-person shooter (FPS) for Windows,
+Linux and Mac OS X.
+
+Speed and movement, that's what Warsow is all about. Like a true
+cyberathlete you jump, dash, dodge and walljump your way through the
+game. Grab those power-ups before your enemy does, plant the bomb
+before anyone sees you, and steal the enemy's flag before anyone
+knows what's going on!
+
+Note: This SlackBuild just repacks the binaries and there is no
+compiling.
diff --git a/games/warsow/doinst.sh b/games/warsow/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/warsow/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/warsow/slack-desc b/games/warsow/slack-desc
new file mode 100644
index 0000000000..8cc4866e8e
--- /dev/null
+++ b/games/warsow/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+warsow: warsow (A Fast Paced First Person Shooter Game)
+warsow:
+warsow: Set in a futuristic cartoon-like world where rocketlauncher-wielding
+warsow: pigs and lasergun-carrying cyberpunks roam the streets, Warsow is a
+warsow: completely free fast-paced first-person shooter (FPS) for Windows,
+warsow: Linux and Mac OS X.
+warsow:
+warsow:
+warsow:
+warsow: Homepage: http://www.warsow.net/
+warsow:
diff --git a/games/warsow/warsow.SlackBuild b/games/warsow/warsow.SlackBuild
new file mode 100644
index 0000000000..7a61a627ae
--- /dev/null
+++ b/games/warsow/warsow.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for Warsow
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+
+PRGNAM=warsow
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ EXESUFFIX="x86_64"
+else
+ EXESUFFIX="i386"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP/$PRGNAM-$VERSION $PKG $OUTPUT
+cd $TMP/$PRGNAM-$VERSION
+unzip $CWD/"$PRGNAM"_"$VERSION"_unified.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/warsow/libs
+install -D -m 0755 warsow.$EXESUFFIX $PKG/usr/share/warsow
+install -D -m 0755 wsw_server.$EXESUFFIX $PKG/usr/share/warsow
+install -D -m 0755 wswtv_server.$EXESUFFIX $PKG/usr/share/warsow
+
+mkdir -p $PKG/usr/games
+cat warsow | sed 's|^BINARY_DIR=$|BINARY_DIR=/usr/share/warsow|' > $PKG/usr/games/warsow
+cat wsw_server | sed 's|^BINARY_DIR=$|BINARY_DIR=/usr/share/warsow|' > $PKG/usr/games/wsw_server
+cat wswtv_server | sed 's|^BINARY_DIR=$|BINARY_DIR=/usr/share/warsow|' > $PKG/usr/games/wswtv_server
+(cd $PKG/usr/games; chmod 0755 *)
+
+install -D -m 0755 libs/angelwrap_$EXESUFFIX.so $PKG/usr/share/warsow/libs
+install -D -m 0755 libs/irc_$EXESUFFIX.so $PKG/usr/share/warsow/libs
+install -D -m 0755 libs/snd_openal_$EXESUFFIX.so $PKG/usr/share/warsow/libs
+install -D -m 0755 libs/snd_qf_$EXESUFFIX.so $PKG/usr/share/warsow/libs
+
+mkdir -p $PKG/usr/share/warsow/basewsw/
+cp -ra basewsw/* $PKG/usr/share/warsow/basewsw/
+mkdir -p $PKG/usr/share/pixmaps/
+cp -a $CWD/warsow.png $PKG/usr/share/pixmaps/
+mkdir -p $PKG/usr/share/applications
+cp -a $CWD/warsow.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/warsow/warsow.desktop b/games/warsow/warsow.desktop
new file mode 100644
index 0000000000..6fad783d9b
--- /dev/null
+++ b/games/warsow/warsow.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Name=Warsow
+Comment=Free first-person shooter game
+Icon=/usr/share/pixmaps/warsow.png
+Exec=/usr/games/warsow
+Terminal=false
+StartupNotify=false
+Categories=Game;
diff --git a/games/warsow/warsow.info b/games/warsow/warsow.info
new file mode 100644
index 0000000000..d91be1ee2f
--- /dev/null
+++ b/games/warsow/warsow.info
@@ -0,0 +1,10 @@
+PRGNAM="warsow"
+VERSION="0.5"
+HOMEPAGE="http://www.warsow.net/"
+DOWNLOAD="http://static.warsow.net/release/warsow_0.5_unified.zip"
+MD5SUM="d0cb961256bbc1b93bf240b8bcf8eff5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="dsomero"
diff --git a/games/warsow/warsow.png b/games/warsow/warsow.png
new file mode 100644
index 0000000000..bb055dd4d6
--- /dev/null
+++ b/games/warsow/warsow.png
Binary files differ